export interface Storage<T = {
    value: string;
    date: Date;
}> {
    namespace: string;
    keys(): Promise<string[]>;
    get(key: string): Promise<T | null>;
    set(key: string, value: T): Promise<void>;
}
export declare class InMemoryStorage<T = {
    value: string;
    date: Date;
}> implements Storage<T> {
    namespace: string;
    private data;
    constructor(namespace: string);
    keys(): Promise<string[]>;
    get(key: string): Promise<T | null>;
    set(key: string, value: T): Promise<void>;
}
